import 'package:freezed_annotation/freezed_annotation.dart';

part 'verify_otp_data.freezed.dart';
part 'verify_otp_data.g.dart';

@freezed
abstract class VerifyOtpData with _$VerifyOtpData {
  const factory VerifyOtpData({
    required String message,
    required bool success,
    required String token,
  }) = _VerifyOtpData;

  factory VerifyOtpData.fromJson(Map<String, dynamic> json) =>
      _$VerifyOtpDataFromJson(json);
}
